"use strict";

// Javascript Code Module - Extension-specific info provider
// Provides extension-specific information.

var EXPORTED_SYMBOLS = ["extInfo"];

var extInfo = (function(my, moduleGlobalScope) {
	
	// Private members (please don't use them directly from calling code)
	// ==================================================================
	
	// *** EXTENSION-SPECIFIC START ***
	// Concise display name which will be used in various places where we output things
	my._conciseDisplayName = "ZingLocale";
	// Extension ID
	my._extID = "mozext_zinglocale@gooeysoftware.com";
	// *** EXTENSION-SPECIFIC END ***
	
	
	
	// Public members
	// ==============
	
	// Gets the ID of this extension
	// 
	// returns: The ID of this extension.
	my.GetExtId = function() {
		return this._extID;
	};
	
	// Gets the concise display name of this extension
	// 
	// returns: The concise display name of this extension.
	my.GetConciseDisplayName = function() {
		return this._conciseDisplayName;
	};
	
	// *** Finally ***
	// Return |my| - everything we've assigned to it will be exported to the public var we're defining.
	return my;
	
}((extInfo || {}), this));
